﻿namespace LeadLoversMonitorApp.Views
{
    using Models;
    using ViewModels;
    using Xamarin.Forms;

    public partial class MachineDetailPage : ContentPage
    {
        public MachineDetailPage(MachineItem machine)
        {
            DashboardManager dashboardManager = new DashboardManager(machine.MachineId);
            var zoomCommand = new Command((o) => this.Navigation.PushAsync(new MachineDetailChartViewerPage(machine.MachineTitle, dashboardManager.FullMachineCollection), true));
            this.InitializeComponent();
            this.Title = Resource.Strings.MachineDetailPage_Title;
            this.BindingContext = dashboardManager;
            this.slider.Maximum = DashboardManager.Maximum;
            this.slider.Minimum = DashboardManager.MinimumPeriod;
            this.slider.ValueChanged += Slider_ValueChanged;
            this.chart.BackgroundColor = Color.Transparent;
            this.chart.Legend.IsVisible = false;
            var tapRecognizer = new TapGestureRecognizer()
            {
                Command = zoomCommand,
                NumberOfTapsRequired = 1
            };
            this.zoomImageButton.GestureRecognizers.Add(tapRecognizer);
            this.chart.Legend.DockPosition = Syncfusion.SfChart.XForms.LegendPlacement.Bottom;
        }

        private void Slider_ValueChanged(object sender, ValueChangedEventArgs e)
        {
        }
    }
}