﻿using System;

using Xamarin.Forms;
using System.Collections.Generic;
using Syncfusion.SfChart.XForms;
using System.Diagnostics;
using System.Collections.ObjectModel;

namespace SimpleSample
{
	public class SampleChart : ContentPage
	{

		public SampleChart ()
		{
			StackLayout layout = new StackLayout(){Padding = new Thickness(5,15,5,5)};						
			//ViewModel dataModel = new ViewModel();

			var chart = new SfChart ();
            chart.PrimaryAxis = new CategoryAxis();
			chart.SecondaryAxis = new NumericalAxis ();

			ColumnSeries column = new ColumnSeries ();
			column.EnableTooltip = true;
			column.XBindingPath = "Month";
			column.YBindingPath = "Value";
			//column.ItemsSource = dataModel.data ;	
			chart.Series.Add(column);

			//Customize the tooltip label
			ChartTooltipBehavior tooltip = new ChartTooltipBehavior();
			tooltip.BackgroundColor = Color.Blue;
			chart.ChartBehaviors.Add(tooltip);

			chart.VerticalOptions = LayoutOptions.FillAndExpand;
			chart.HorizontalOptions = LayoutOptions.FillAndExpand;

			layout.Children.Add(chart);
			Content = layout;
		}
	}  

//	public class ViewModel
//	{
//		public ObservableCollection<MyModel> data { get; set; }
//
//		public ViewModel()
//		{
//			data = new ObservableCollection<MyModel>();
//			data.Add(new MyModel() { Month = "Jan", Value = 23, Stock = 53 });
//			data.Add(new MyModel() { Month = "Feb", Value = 42, Stock = 90 });
//			data.Add(new MyModel() { Month = "Mar", Value = 37, Stock = 43 });
//			data.Add(new MyModel() { Month = "Apr", Value = 28, Stock = 83 });
//			data.Add(new MyModel() { Month = "May", Value = 45, Stock = 93 });
//			data.Add(new MyModel() { Month = "Jun", Value = 33, Stock = 47});
//			data.Add(new MyModel() { Month = "Jul", Value = 22, Stock = 19 });
//			data.Add(new MyModel() { Month = "Aug", Value = 43, Stock = 73 });
//			data.Add(new MyModel() { Month = "Sep", Value = 37, Stock = 89 });
//			data.Add(new MyModel() { Month = "Oct", Value = 54, Stock = 67 });
//			data.Add(new MyModel() { Month = "Nov", Value = 23, Stock = 94 });
//			data.Add(new MyModel() { Month = "Dec", Value = 53, Stock = 35 });
//		}
//	}
//
//	public class MyModel
//	{
//		public string Month{ get; set; }
//		public double Value{ get; set; }
//		public double Stock{ get; set; }
//	}
//		
}


