﻿using System;
using Xamarin.Forms;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace SimpleSample
{
	public class ViewModel
	{
        public ObservableCollection<DashMaquina> FilteredQuery
        {
            get;
            set;
        }

        public ViewModel()
        {
            FilteredQuery = new ObservableCollection<DashMaquina>();
            DateTime date = new DateTime(2014, 3, 1);
            FilteredQuery.Add(new DashMaquina(date, 15, 34));
            FilteredQuery.Add(new DashMaquina(date.AddDays(1), 23, 14));
            FilteredQuery.Add(new DashMaquina(date.AddDays(2), 35, 54));
            FilteredQuery.Add(new DashMaquina(date.AddDays(3), 65, 34));
            FilteredQuery.Add(new DashMaquina(date.AddDays(4), 25, 34));
            FilteredQuery.Add(new DashMaquina(date.AddDays(5), 35, 76));
            FilteredQuery.Add(new DashMaquina(date.AddDays(6), 65, 34));
            FilteredQuery.Add(new DashMaquina(date.AddDays(7), 75, 44));
            FilteredQuery.Add(new DashMaquina(date.AddDays(8), 19, 57));
            FilteredQuery.Add(new DashMaquina(date.AddDays(9), 30, 34));
            FilteredQuery.Add(new DashMaquina(date.AddDays(10), 45, 64));
        }
	}

	public class DashMaquina
	{
		public DashMaquina(DateTime data, double captura, double disparos)
		{
			this.Captura = captura;
			this.Disparos = disparos;
			this.Data = data;
		}

		private double captura;

        public double Captura
        {
            get { return captura; }
            set
            {
                captura = value;
                //NotifyPropertyChanged("Captura");
            }
        }

		private double disparos;

        public double Disparos
        {
            get { return disparos; }
            set
            {
                disparos = value;
               // NotifyPropertyChanged("Disparos");
            }
        }

		private DateTime data;

        public DateTime Data
        {
            get { return data; }
            set
            {
                data = value;
               // NotifyPropertyChanged("Data");
            }
        }

		public event PropertyChangedEventHandler PropertyChanged;

		private void NotifyPropertyChanged(String propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}

}


